@setlocal
@set _name=PowerAtSea

bin\acme -f plain -o src\T64Loader_V5.bin src\T64Loader_V5*.asm

@pause

del %_name%-MD*.*
bin\t64fix -c data\%_name%.t64 game\*
copy /b src\t64loader_V5.bin + data\%_name%.t64 %_name%.bin
bin\cartconv -i %_name%.bin -o %_name%-MD.crt -t md -p 

for %%I in (%_name%.bin) do @set size=%%~zI

if %size% gtr 524288 (
    set zusatz=27C080
) else if %size% gtr 262144 (
    set zusatz=27C040
) else if %size% gtr 131072 (
    set zusatz=27C020
) else if %size% gtr  65536 (
    set zusatz=27C010
) else (
    set zusatz=onefiler
)

ren %_name%.bin %_name%-MD-%zusatz%.bin

endlocal
